"""Módulo principal para o pacote erpl.

Este módulo contém a lógica principal da aplicação erpl.
"""


import os
from .parser.parser import parse, parser_parse_arguments
from .engine.game import init_game, game_parse_arguments, play_game
from .engine.pe import init_pe, play_editor


__version__ = "0.1.4"

def erpl():
    args = parser_parse_arguments()
    if args.output:
        print("ERROR!")
    args.output = ['tmp.json'] #TODO: file name generated by datetime
    parse(args)
    args.input = ['tmp.json']
    screen,room, inventory,state = init_game(args)
    os.remove('tmp.json')
    # Play Game
    play_game(screen,room, inventory,state)

def erparse():
    args = parser_parse_arguments()
    parse(args)

def erengine():
    args = game_parse_arguments()
    init_game(args)

def erpe():
    args = parser_parse_arguments()

    if args.output:
        print("ERROR!")
    args.output = ['tmp.json']
    parse(args)
    args.input = ['tmp.json']
    screen,room,inventory = init_pe(args)
    os.remove('tmp.json')
    # Play Editor   
    room = play_editor(screen,room,inventory)
        